﻿using System;
using System.Collections.Generic;
using System.Text;

namespace LinqStudy
{
    /// <summary>
    /// Person 自定义ID相等比较器
    /// Id相同，则视为相同
    /// </summary>
    public class PersonEqualityComparerById : IEqualityComparer<Person>
    {
        bool IEqualityComparer<Person>.Equals(Person x, Person y)
        {
            if (x==null || y==null)
            {
                return false;
            }

            return x.Id == y.Id;
        }

        int IEqualityComparer<Person>.GetHashCode(Person obj)
        {
            return (obj.Id).GetHashCode();
        }
    }
}
