using System;
using System.Collections.Generic;

namespace LinqStudy
{
    public class PersonEqualityComparerByName : IEqualityComparer<Person>
    {
        bool IEqualityComparer<Person>.Equals(Person x, Person y)
        {
            if (x==null || y==null)
            {
                return false;
            }

            return x.Name == y.Name;
        }

        int IEqualityComparer<Person>.GetHashCode(Person obj)
        {
            return (obj.Name).GetHashCode();
        }
    }
}
